import { jsx } from "react/jsx-runtime";
import { TokenMOOV as TokenMOOV$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMOOV = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MOOV", "data-name": "TokenMOOV", ...props, children: /* @__PURE__ */ jsx(TokenMOOV$1, { variant }) });
  }
);
TokenMOOV.displayName = "TokenMOOV";
Object.assign(TokenMOOV, { isGdsIcon: true });
export {
  TokenMOOV
};
